/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.dialogs;

import org.eclipse.core.resources.IResource;
import org.eclipse.swt.widgets.Shell;

public class ResourceFolderSelectionDialog extends AbstractResourceSelectionDialog {

	public ResourceFolderSelectionDialog(Shell parentShell, IResource[] resources) {
		super(parentShell, resources);
		setTitle("フォルダーの選択");
		setMessage("フォルダーを選択してください。");
	}

	@Override
	protected boolean acceptSelection(IResource resource) {
		return resource.getType() == IResource.FOLDER;
	}
}
